package com.sinosig.core.external.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[SYXBJ] 查询条件对象
 */
@Data
public class SYXBJSearchContext extends SearchContext {

	   public String n_syxbjname_like;//[商业险报价名称]
       public void setN_syxbjname_like(String n_syxbjname_like) {
            this.n_syxbjname_like=n_syxbjname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("syxbjname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_syxbjname_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter syxbjname=new SearchFieldFilter();
           syxbjname.setParam("syxbjname");
           syxbjname.setCondition(SearchFieldType.LIKE);
           syxbjname.setValue(strQuery);
           searchGroupFilter.getCondition().add(syxbjname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
